members.dev
Groups

Create Group

Creates a Group

POST
/v1/groups

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.members.dev/v1/groups" \  -H "Content-Type: application/json" \  -d '{    "name": "VIP"  }'
{
  "id": "ugrp_01KKSMB47VYGW97GFE67VGDK7M",
  "name": "VIP",
  "description": "string",
  "member_count": 0,
  "created_at": null,
  "updated_at": null,
  "members": [
    {
      "user_id": "usr_01KKSMB47VYGW97GFE67VGDK7M",
      "membership_id": "ugm_01KKSMB47VYGW97GFE67VGDK7M",
      "joined_at": null
    }
  ],
  "membership_history": [
    {
      "membership_id": "string",
      "user_id": "string",
      "joined_at": null,
      "removed_at": {}
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}